Nosc=64;         %Numero oscillatori
Nsig=4;          %numero segnali generati
Nsym=1e5;        %simboli generati per segnale
vm=10;           %velocit mobile km/h
v1=vm/3.6;       %m/s
cs=3e8;          %velocit luce nel vuoto
fc=.9e9;         %frequenza portante
fd=v1/cs*fc;     %banda Doppler
dT=.01/fd;       %intervallo di segnalazione
K=10;             %fattore di Rice
KdB=10*log10(K);
lcc=200;         %numero di elementi per il calcolo della correlazione
tmax=5;          %grafico potenza tra 0 e tmax
plot_correlation=1;
plot_pdf_power=1;
plot_pdf_components=1;
[rt,zt,rt1,rt2]=sosfadeli(Nsym,fd,dT,KdB,Nosc,Nsig);
if plot_correlation
    [y,cy]=corrcoeff(rt1,lcc);
    x=(0:(lcc-1))*fd*dT;
    subplot(2,2,1);
    stem(x,y(1,:),'k');
    hold on
    plot(x,(besselj(0,2*pi*x)).^1,'r')
end
if plot_pdf_power
    xp=0:.05:3;
    [cdf,yp]=ecdf2(xp,10.^(zt(1,:)/10));
    subplot(2,2,2);
    plot(xp,yp,'k')
    hold on
    plot(xp,(1+K)*exp(-K).*exp(-(1+K)*xp).*besseli(0,(4*K*(1+K)*xp).^.5),'r');
end
if plot_pdf_components
    xp=-3:.05:3;
    [cdf,yp]=ecdf2(xp,rt1(1,:));
    subplot(2,2,3);
    plot(xp,yp,'k')
    hold on
    [cdf,yp]=ecdf2(xp,rt2(1,:));
    plot(xp,yp,'k-.')
end

subplot(2,2,4);
t=(1:Nsym)*dT;
plot(t(t<=tmax),zt(1,t<=tmax),'k');
set(gca,'YLim',[-30,10]);
hold on